Ticket #232 (closed bug: fixed)

Opened 5 years ago

Last modified 5 years ago

ffado-diag: don't use pkg-config to get package info

Reported by: ericboon Assigned to: arnonym
Priority: minor Milestone: FFADO 2.0
Component: Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

pkg-config only works for development libraries, so this is not the correct way to determine whether a certain (non-dev) library is installed on a user's system.

From the ffado-user mailing list:

From: arnold@arnoldarts.de
Subject: Re: [FFADO-user] [I'm a user and need support] JACK doesn't see PHASE X24
Date: September 13, 2009 7:07:50 PM GMT+02:00
To: ffado-user@lists.sourceforge.net

On Sunday 13 September 2009 16:06:54 Eric Boon wrote:

Following up on my own mail, regarding ffado-diag:

I also tried 'ffado-diag', but the output of that one was rather confusing. It complained about a number of packages not being installed although they are there.

That's because there's no package information stored. ffado-diag tries to get the info via pkg-config, but of all the packages installed on my system, only 5 or so actually shipped with the info that pkg-config reads. Ergo: pkg-config is not a reliable way to detect whether certain libs are installed or not - at least not on Debian.

That is because the *.pc files are in the development packages as it is meant for development. Probably not a good idea to check for libraries on a user- system with a tool that "only" gives library-and include-paths for devs.

Change History

09/13/09 13:24:47 changed by arnonym

  • owner set to arnonym.
  • status changed from new to assigned.
  • version changed from FFADO 2.0-rc2 (1.999.42) to FFADO SVN (trunk).
  • milestone changed from FFADO 2.x to FFADO 2.1.

Hmm, looking at ffado-diag, using pkg-config to gather this kind of information is the only sane way of doing it. But depending(*) on it is wrong as this kind of information is only shipped in the development-packages.

Maybe this tool should compile a static list of these libs and flags at compile-time. Or even better include a log of the checks of SConstruct run.

Will think about this.

(*) of course ffado-diag builds and runs without it...

09/17/09 13:40:04 changed by arnonym

  • status changed from assigned to closed.
  • resolution set to fixed.

(In [1665]) Backport r1993 and fix #232.

09/17/09 13:42:28 changed by arnonym

  • milestone changed from FFADO 2.1 to FFADO 2.0.

Add it to the closed-statistics for the 2.0 release.